Pos (JavaFX 13)

Module javafx.graphics
Package javafx.geometry

## Enum Pos

- java.lang.Object
- - java.lang.Enum<Pos>
  - - javafx.geometry.Pos

- All Implemented Interfaces:
    `Serializable`, `Comparable<Pos>`

      public enum Pos
      extends Enum<Pos>

  A set of values for describing vertical and horizontal positioning and alignment.
  Since:
    JavaFX 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BASELINE_CENTER` | Represents positioning on the baseline vertically and on the center horizontally.
    `BASELINE_LEFT` | Represents positioning on the baseline vertically and on the left horizontally.
    `BASELINE_RIGHT` | Represents positioning on the baseline vertically and on the right horizontally.
    `BOTTOM_CENTER` | Represents positioning on the bottom vertically and on the center horizontally.
    `BOTTOM_LEFT` | Represents positioning on the bottom vertically and on the left horizontally.
    `BOTTOM_RIGHT` | Represents positioning on the bottom vertically and on the right horizontally.
    `CENTER` | Represents positioning on the center both vertically and horizontally.
    `CENTER_LEFT` | Represents positioning on the center vertically and on the left horizontally.
    `CENTER_RIGHT` | Represents positioning on the center vertically and on the right horizontally.
    `TOP_CENTER` | Represents positioning on the top vertically and on the center horizontally.
    `TOP_LEFT` | Represents positioning on the top vertically and on the left horizontally.
    `TOP_RIGHT` | Represents positioning on the top vertically and on the right horizontally.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HPos` | `getHpos()` | Returns the horizontal positioning/alignment.
    `VPos` | `getVpos()` | Returns the vertical positioning/alignment.
    `static Pos` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Pos[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP_LEFT

          public static final Pos TOP_LEFT

      Represents positioning on the top vertically and on the left horizontally.

    - #### TOP_CENTER

          public static final Pos TOP_CENTER

      Represents positioning on the top vertically and on the center horizontally.

    - #### TOP_RIGHT

          public static final Pos TOP_RIGHT

      Represents positioning on the top vertically and on the right horizontally.

    - #### CENTER_LEFT

          public static final Pos CENTER_LEFT

      Represents positioning on the center vertically and on the left horizontally.

    - #### CENTER

          public static final Pos CENTER

      Represents positioning on the center both vertically and horizontally.

    - #### CENTER_RIGHT

          public static final Pos CENTER_RIGHT

      Represents positioning on the center vertically and on the right horizontally.

    - #### BOTTOM_LEFT

          public static final Pos BOTTOM_LEFT

      Represents positioning on the bottom vertically and on the left horizontally.

    - #### BOTTOM_CENTER

          public static final Pos BOTTOM_CENTER

      Represents positioning on the bottom vertically and on the center horizontally.

    - #### BOTTOM_RIGHT

          public static final Pos BOTTOM_RIGHT

      Represents positioning on the bottom vertically and on the right horizontally.

    - #### BASELINE_LEFT

          public static final Pos BASELINE_LEFT

      Represents positioning on the baseline vertically and on the left horizontally.

    - #### BASELINE_CENTER

          public static final Pos BASELINE_CENTER

      Represents positioning on the baseline vertically and on the center horizontally.

    - #### BASELINE_RIGHT

          public static final Pos BASELINE_RIGHT

      Represents positioning on the baseline vertically and on the right horizontally.

  - ### Method Detail

    - #### values

          public static Pos[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Pos c : Pos.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Pos valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getVpos

          public VPos getVpos()

      Returns the vertical positioning/alignment.
      Returns:
        the vertical positioning/alignment.

    - #### getHpos

          public HPos getHpos()

      Returns the horizontal positioning/alignment.
      Returns:
        the horizontal positioning/alignment.